Loading...
Searching...
No Matches
jsDirectGetMsgOptions Struct Reference
Types

`#include <nats.h>`

## Public Attributes

uint64_t | Sequence
| Get the message at this sequence.
const char * | NextBySubject
| Get the next message (based on sequence) for that subject.
const char * | LastBySubject
| Get the last message on that subject.

## Detailed Description

Options for the js_DirectGetMsg() call, which retrieves a message from any server (not only the leader) as long as the stream has been created with a AllowDirect option.

Note that some options are mutually exclusive but are not checked byt the library. The server will reject invalid requests and the library will return the error returned from the server.

## Member Data Documentation

## Sequence

uint64_t jsDirectGetMsgOptions::Sequence

## NextBySubject

const char* jsDirectGetMsgOptions::NextBySubject

## LastBySubject

const char* jsDirectGetMsgOptions::LastBySubject

The documentation for this struct was generated from the following file:

- nats.h